//
//  RootViewController.m
//  adjuz
//
//  Created by zz on 14-7-18.
//  Copyright (c) 2014年 ZSL. All rights reserved.
//

#import "RootViewController.h"
#import "ADJUZWallSDK.h"
@interface RootViewController ()
{
    ADJUZWallSDK *mana;
    UILabel *lab;
    UIButton *btn1;
    UIButton *btn2;
    UIButton *btn3;

}
@end

@implementation RootViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

-(void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
    UIInterfaceOrientation orientation = [[UIApplication sharedApplication]statusBarOrientation];
    if(orientation==UIInterfaceOrientationPortrait||orientation==UIInterfaceOrientationPortraitUpsideDown)
        [self willAnimateRotationToInterfaceOrientation:UIInterfaceOrientationPortrait duration:0];
    else
        [self willAnimateRotationToInterfaceOrientation:UIInterfaceOrientationLandscapeLeft duration:0];
    
    
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
    
    self.title=@"巨掌积分墙DEMO";
    
    mana=[[ADJUZWallSDK alloc]initAppKey:@"367B3F3D7EEEFF45" andAppUserId:@""];
    
    
    
    NSArray *nameArr=[[NSArray alloc]initWithObjects:@"积分墙",@"获取积分",@"消费积分", nil];
    
    btn1=[UIButton buttonWithType:UIButtonTypeRoundedRect];
    btn1.frame=CGRectMake(120, 110, 80, 30);
    [ btn1 setTitle:[nameArr objectAtIndex:0] forState:UIControlStateNormal];
    btn1.tag=10;
    [btn1 addTarget:self action:@selector(btnClick:) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:btn1];
    
    btn2=[UIButton buttonWithType:UIButtonTypeRoundedRect];
    btn2.frame=CGRectMake(120, 150, 80, 30);
    [ btn2 setTitle:[nameArr objectAtIndex:1] forState:UIControlStateNormal];
    btn2.tag=11;
    [btn2 addTarget:self action:@selector(btnClick:) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:btn2];
    
    btn3=[UIButton buttonWithType:UIButtonTypeRoundedRect];
    btn3.frame=CGRectMake(120, 190, 80, 30);
    [ btn3 setTitle:[nameArr objectAtIndex:2] forState:UIControlStateNormal];
    btn3.tag=12;
    [btn3 addTarget:self action:@selector(btnClick:) forControlEvents:UIControlEventTouchUpInside];
    [ self.view addSubview:btn3];
    
    
    
    lab=[[UILabel alloc]init];
    lab.frame=CGRectMake(120, 70, 80, 30);
    lab.backgroundColor=[UIColor grayColor];
    lab.text=[NSString stringWithFormat:@"积分:%@",[mana getSorceAndIsShow:NO],nil];
    [self.view addSubview:lab];
    
    
    //隐藏状态栏
    if ([self respondsToSelector:@selector(setNeedsStatusBarAppearanceUpdate)]) {
        // iOS 7
        [self prefersStatusBarHidden];
        [self performSelector:@selector(setNeedsStatusBarAppearanceUpdate)];
    }
    
    
}

-(void)btnClick:(UIButton *)btn
{
    if (btn.tag==10) {
        
        [mana openListOfferWall:self];
        
    }
    if (btn.tag==11) {
        lab.text=[NSString stringWithFormat:@"积分:%@",[mana getSorceAndIsShow:YES],nil];
    }
    if (btn.tag==12) {
        
        [mana spendSorce:1];
        lab.text=[NSString stringWithFormat:@"积分:%@",[mana getSorceAndIsShow:NO],nil];
    }
    
    
    
}

//隐藏状态栏
- (BOOL)prefersStatusBarHidden
{
    return YES;//隐藏为YES，显示为NO
}



- (void)willAnimateRotationToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation duration:(NSTimeInterval)duration {
    
    switch (interfaceOrientation) {
        case UIInterfaceOrientationPortrait:
            //home健在下
            btn1.frame=CGRectMake(120, 110, 80, 30);
            btn2.frame=CGRectMake(120, 150, 80, 30);
            btn3.frame=CGRectMake(120, 190, 80, 30);
            lab.frame=CGRectMake(120, 70, 80, 30);
            break;
        case UIInterfaceOrientationPortraitUpsideDown:
            //home健在上
            btn1.frame=CGRectMake(120, 110, 80, 30);
            btn2.frame=CGRectMake(120, 150, 80, 30);
            btn3.frame=CGRectMake(120, 190, 80, 30);
            lab.frame=CGRectMake(120, 70, 80, 30);
            break;
        case UIInterfaceOrientationLandscapeLeft:
            //home健在左
            btn1.frame=CGRectMake(220, 110, 80, 30);
            btn2.frame=CGRectMake(220, 150, 80, 30);
            btn3.frame=CGRectMake(220, 190, 80, 30);
            lab.frame=CGRectMake(220, 70, 80, 30);
            break;
            
        case UIInterfaceOrientationLandscapeRight:
            //home健在右
            
            btn1.frame=CGRectMake(220, 110, 80, 30);
            btn2.frame=CGRectMake(220, 150, 80, 30);
            btn3.frame=CGRectMake(220, 190, 80, 30);
            lab.frame=CGRectMake(220, 70, 80, 30);
            break;
        default:
            break;
            
            
    }
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
